Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework
Class TLEFramework

    java.lang.Object
      tle.framework.TLEFramework

public class TLEFramework
extends java.lang.Object

틀 프레임워크 클래스로 다음과 같은 세 가지 작업을 수행한다.

1. 프레임워크의 초기화: 프레임워를 실행하는 데 필요한 컴포넌트 등록
2. 프레임워크의 종료: 등록된 컴포넌트 제거
3. 클라이언트의 요청을 받아 TLEController에 전달

Since:
  2.0
Author:
  최범균

Constructor Summary
`TLEFramework()`

Method Summary
`static void` | `closeFramework()` 코어 컴포넌트, TLEController 및 나머지 모든 컴포넌트를 제거한다.
`static AAManagerProxy` | `getAAManagerProxy()` 프레임워크가 사용하는 AAManager의 프록시를 구한다.
`static void` | `openFramework(java.lang.String configFilePath)` configFilePath가 나타내는 파일로부터 틀프레임워크 설정 정보를 읽어와 컴포넌트를 생성 및 등록하고 TLEController를 초기화한다.
`static void` | `processingRequest(HttpServletRequest request, HttpServletResponse response)` 클라이언트의 요청을 TLEController에 전달한다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLEFramework

    public TLEFramework()

Method Detail

### openFramework

    public static void openFramework(java.lang.String configFilePath)
                              throws TLEFrameworkException

  configFilePath가 나타내는 파일로부터 틀프레임워크 설정 정보를 읽어와 컴포넌트를 생성 및 등록하고 TLEController를 초기화한다.

  Parameters:
    `configFilePath` - 설정 파일의 경로
  Throws:
    `TLEFrameworkException`

### closeFramework

    public static void closeFramework()

  코어 컴포넌트, TLEController 및 나머지 모든 컴포넌트를 제거한다.

### processingRequest

    public static void processingRequest(HttpServletRequest request,
                                         HttpServletResponse response)
                                  throws TLEFrameworkException

  클라이언트의 요청을 TLEController에 전달한다.

  openFramework()가 올바르게 실행되지 않은 상태에서 이 메소드를 호출하면 예외가 발생한다.

  Parameters:
    `request` -
    `response` -
  Throws:
    `TLEFrameworkException` - TLEFramework가 실행(running) 상태가 아닐 때 이 메소드를 호출하면 발생한다.

### getAAManagerProxy

    public static AAManagerProxy getAAManagerProxy()

  프레임워크가 사용하는 AAManager의 프록시를 구한다. AAManager가 제공하는 기능 중 일부를 사용해야 하는 경우에 이 메소드가 리턴하 AAManagerProxy를 통해서 간접적으로 사용하면 된다.

  Returns:
    현재 컨트롤러가 사용중인 AAManager의 프록시

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD